### Method

# Gtk ExpressionWatchevaluate

#### Declaration [src]

    gboolean
    gtk_expression_watch_evaluate (
      GtkExpressionWatch* watch,
      GValue* value
    )

#### Description [src]

Evaluates the watched expression and on success stores the result in `value`.

This is equivalent to calling `gtk_expression_evaluate()` with the expression and this pointer originally used to create `watch`.

#### Parameters

`value`

  Type: `GValue`

  An empty `GValue` to be set.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the expression could be evaluated and `value` was set.